// app.ts
App<IAppOption>({
  globalData: {
    baseUrl: 'http://127.0.0.1:8000',
    userInfo: null,
  },
  onLaunch() {
    // 小程序启动时，尝试从本地缓存中读取用户信息
    const userInfo = wx.getStorageSync('userInfo');
    if (userInfo) {
      this.globalData.userInfo = userInfo;
      console.log('已从缓存恢复用户信息:', userInfo);
    }
  },
})